## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSpaceNodeTester Class Reference

`#include <XalanSpaceNodeTester.hpp>`

Inheritance diagram for XalanSpaceNodeTester:

[legend]
Collaboration diagram for XalanSpaceNodeTester:

[legend]
List of all members.

## Public Types

- typedef XPath::NodeTester ParentType
- enum eType { eStrip, ePreserve }

## Public Methods

- XalanSpaceNodeTester ()
- XalanSpaceNodeTester (const XalanSpaceNodeTester &theSource)
- XalanSpaceNodeTester (eType theType, StylesheetConstructionContext &theContext, const XalanDOMString &theNameTest, const PrefixResolver &thePrefixResolver, const LocatorType *theLocator)
- ~XalanSpaceNodeTester ()
- XPath::eMatchScore getMatchScore () const
- eType getType () const
- XalanSpaceNodeTester& operator= (const XalanSpaceNodeTester &theRHS)

## Member Typedef Documentation

typedef XPath::NodeTester XalanSpaceNodeTester::ParentType

## Member Enumeration Documentation

enum XalanSpaceNodeTester::eType

  | Enumeration values:
  eStrip |
  ePreserve |

## Constructor & Destructor Documentation

XalanSpaceNodeTester::XalanSpaceNodeTester ( | )

XalanSpaceNodeTester::XalanSpaceNodeTester ( | const XalanSpaceNodeTester & theSource )

XalanSpaceNodeTester::XalanSpaceNodeTester ( | eType theType,
| StylesheetConstructionContext & theContext,
| const XalanDOMString & theNameTest,
| const PrefixResolver & thePrefixResolver,
| const LocatorType * theLocator )

XalanSpaceNodeTester::~XalanSpaceNodeTester ( | )

## Member Function Documentation

XPath::eMatchScore XalanSpaceNodeTester::getMatchScore ( | ) const

eType XalanSpaceNodeTester::getType ( | ) const

XalanSpaceNodeTester & XalanSpaceNodeTester::operator= ( | const XalanSpaceNodeTester & theRHS )

The documentation for this class was generated from the following file:

- XalanSpaceNodeTester.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.